#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire700five4xi.py">
#<abstract4xi abstract = "fires to direction five and to distance 700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2five4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2FIVE - COORDINATE SIGNS OF SHOOT2FIVE4XI: (X - ,Y + ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2five7004xi
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2five7004xi = {
                1: '-100x473y505z',
                2: '-110x643y252z',
                3: '-114x226y652z',
                4: '-122x435y534z',
                5: '-126x472y500z',
                6: '-129x226y649z',
                7: '-144x224y647z',
                8: '-144x639y246z',
                9: '-146x433y529z',
                10: '-152x469y495z',
                11: '-15x4y699z',
                12: '-160x221y644z',
                13: '-171x430y525z',
                14: '-175x218y641z',
                15: '-178x465y490z',
                16: '-178x632y239z',
                17: '-190x213y638z',
                18: '-195x425y520z',
                19: '-1x0y699z',
                20: '-204x460y485z',
                21: '-206x207y635z',
                22: '-212x624y232z',
                23: '-21x206y668z',
                24: '-220x419y515z',
                25: '-221x200y632z',
                26: '-22x4y699z',
                27: '-230x453y480z',
                28: '-236x192y629z',
                29: '-244x411y510z',
                30: '-245x615y226z',
                31: '-251x184y626z',
                32: '-256x444y475z',
                33: '-266x174y623z',
                34: '-268x402y506z',
                35: '-278x603y219z',
                36: '-280x162y620z',
                37: '-282x434y470z',
                38: '-292x391y501z',
                39: '-293x150y617z',
                40: '-29x4y699z',
                41: '-306x137y613z',
                42: '-307x423y465z',
                43: '-310x589y213z',
                44: '-315x379y496z',
                45: '-319x123y610z',
                46: '-32x211y666z',
                47: '-331x108y606z',
                48: '-332x409y460z',
                49: '-338x366y491z',
                50: '-342x574y206z',
                51: '-342x92y603z',
                52: '-352x76y599z',
                53: '-356x395y454z',
                54: '-360x351y486z',
                55: '-362x58y596z',
                56: '-36x4y699z',
                57: '-370x40y592z',
                58: '-372x557y199z',
                59: '-378x21y588z',
                60: '-379x379y449z',
                61: '-381x335y481z',
                62: '-384x1y584z',
                63: '-402x317y476z',
                64: '-402x362y444z',
                65: '-402x538y192z',
                66: '-422x299y471z',
                67: '-423x343y438z',
                68: '-431x518y186z',
                69: '-43x2y698z',
                70: '-441x279y465z',
                71: '-444x323y433z',
                72: '-459x257y460z',
                73: '-459x496y179z',
                74: '-45x216y664z',
                75: '-464x301y427z',
                76: '-476x235y455z',
                77: '-483x279y422z',
                78: '-486x473y172z',
                79: '-492x212y450z',
                80: '-49x471y515z',
                81: '-501x255y416z',
                82: '-507x187y444z',
                83: '-50x0y698z',
                84: '-511x448y165z',
                85: '-517x230y410z',
                86: '-520x162y439z',
                87: '-532x135y433z',
                88: '-532x204y405z',
                89: '-535x421y159z',
                90: '-543x108y428z',
                91: '-546x177y399z',
                92: '-552x80y422z',
                93: '-558x394y152z',
                94: '-559x149y393z',
                95: '-559x51y417z',
                96: '-570x121y387z',
                97: '-579x365y145z',
                98: '-579x91y381z',
                99: '-587x61y376z',
                100: '-58x220y661z',
                101: '-593x31y370z',
                102: '-597x0y364z',
                103: '-598x334y138z',
                104: '-616x303y131z',
                105: '-632x271y124z',
                106: '-646x25y470z',
                107: '-647x238y117z',
                108: '-660x204y111z',
                109: '-670x170y104z',
                110: '-679x134y97z',
                111: '-687x99y90z',
                112: '-692x63y83z',
                113: '-695x27y76z',
                114: '-71x223y659z',
                115: '-74x435y543z',
                116: '-74x473y510z',
                117: '-76x645y259z',
                118: '-85x225y657z',
                119: '-8x2y699z',
                120: '-98x435y538z',
                121: '-99x226y654z'}

#"
#"/>

# ----------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire700five4xi" usage = "target function for charge7004xi4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# ----------------------------------------------------------------------------------------------------------------
def fire700five4xi(queue2five, consumer_channel2five, publisher_channel2five):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE700FIVE4XIFIVE4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE700FIVE4XIFIVE4XI -  QUEUE2FIVE: ", queue2five)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE700FIVE4XIFIVE4XI -  CONSUMER_CHANNEL2FIVE: ", consumer_channel2five)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE700FIVE4XIFIVE4XI -  PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE700FIVE4XIFIVE4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2five.put(shot2five7004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE700FIVE4XIFIVE4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE700FIVE4XIFIVE4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE700FIVE4XIFIVE4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2five8shot2five7004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2five8shot2five7004xi</nack2put4xi>" 
            
        publisher_channel2five.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE700FIVE4XIFIVE4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE700FIVE4XIFIVE4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2FIVE: ", publisher_channel2five, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE700FIVE4XIFIVE4XI - RETURNING QUEUE OBJECT QUEUE2FIVE: ", queue2five, " - TIME: ", time4xi())  
        # 
            
    return queue2five    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire700five4xi.py                             
# -------------------------------------------------------------------------------------------------                